#ifndef LIBSARIA_AUDIO_H
#define LIBSARIA_AUDIO_H

extern "C" {
	#include <gst/gst.h>
}

#include <list>
#include <string>
using namespace std;

namespace libsaria
{
	namespace audio
	{
		void init(int, char**);
		void quit();

		/* Playback control functions */
		void load(string, bool);
		void play();
		void pause();
		void toggle_play();
		GstState get_state();
		void stop();

		/* Position related functions */
		void seek_to(double);
		gint64 duration();
		gint64 position();
		string posstr();
		bool played();
	};
};

#endif /* LIBSARIA_AUDIO_H */
